Package javax.help

# Class HelpSet.Presentation

java.lang.Object
javax.help.HelpSet.Presentation

Enclosing class:
  `HelpSet`

public static class HelpSet.Presentation extends Object
HelpSet Presentation class. Contains information concerning a presentation in a HelpSet file

Since:
  2.0

## Constructor Summary

Constructors
Constructor
Description
`Presentation(String name, boolean displayViews, boolean displayViewImages, Dimension size, Point location, String title, Map.ID imageID, boolean toolbar, Vector helpActions)`

## Method Summary

Modifier and Type
Method
Description
`Enumeration`
`getHelpActions(HelpSet hs, Object control)`
Returns an Enumeration HelpActions created from the list of Actions in the Presentation.
`Map.ID`
`getImageID()`
`Point`
`getLocation()`
`String`
`getName()`
`Dimension`
`getSize()`
`String`
`getTitle()`
`boolean`
`isToolbar()`
`boolean`
`isViewDisplayed()`
`boolean`
`isViewImagesDisplayed()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Presentation

public Presentation(String name, boolean displayViews, boolean displayViewImages, Dimension size, Point location, String title, Map.ID imageID, boolean toolbar, Vector helpActions)

## Method Details

### getName

public String getName()

### getTitle

public String getTitle()

### getImageID

public Map.ID getImageID()

### isViewDisplayed

public boolean isViewDisplayed()

### isViewImagesDisplayed

public boolean isViewImagesDisplayed()

### getSize

public Dimension getSize()

### getLocation

public Point getLocation()

### isToolbar

public boolean isToolbar()

### getHelpActions

public Enumeration getHelpActions(HelpSet hs, Object control)
Returns an Enumeration HelpActions created from the list of Actions in the Presentation.

See Also:
  - `HelpAction`